package buffered;

import static org.junit.Assert.*;
import org.junit.Test;

import java.io.FileNotFoundException;
import java.io.IOException;



public class ParserTest {

	@Test
	public final void testParseHappy() {
		String bookFilePath = "Books.txt"; 
		String bookDelimiter = "\\|";
		Parser parser = new Parser();
		int expectedResult = 4;
		int actualResult = -1;
		try {
			actualResult = parser.parse(bookFilePath, bookDelimiter);
		} catch (FileNotFoundException e) {
			System.err.println("FileNotFoundException " + bookFilePath + "\n" + e.getLocalizedMessage()+ "\n");
		} catch (IOException e) {
			System.err.println("IOException " + bookFilePath + "\n" + e.getLocalizedMessage()+ "\n");		}
		
		assertEquals(expectedResult, actualResult);
	}


	
	@Test(expected = FileNotFoundException.class)
	public final void testParseRainy() throws FileNotFoundException, IOException {
		String bookFilePath = "ThisFileDoesNotExist.txt"; 
		String bookDelimiter = "\\|";
		Parser parser = new Parser();
		
		parser.parse(bookFilePath, bookDelimiter);
		
	}

	
}
